# ======================================================
# Project Name    : SORACOM Mosaic CameraApp0 Sample
# File Name       : soracom_debug_util.py
# Copyright       : 2015-2020 SORACOM, INC.
# ======================================================

import os
import requests


class SoracomDummyResponse(object):
    def __init__(self, content="", status_code=200):
        self.content = content
        self.status_code = status_code

    def __repr__(self):
        return '<Response [%s]>' % (self.status_code)

    @property
    def text(self):
        return self.content.decode("utf-8")
